/** @type {import("types/providers").OAuthProvider} */
export default function Keycloak(options) {
    return {
        id: "keycloak",
        name: "Keycloak",
        wellKnown: `${options.issuer}/.well-known/openid-configuration`,
        type: "oauth",
        authorization: { params: { scope: "openid email profile" } },
        checks: ["pkce", "state"],
        idToken: true,
        profile(profile) {
            var _a;
            return {
                id: profile.sub,
                name: (_a = profile.name) !== null && _a !== void 0 ? _a : profile.preferred_username,
                email: profile.email,
                image: null
            };
        },
        options,
    };
}
