import { TokenSet } from "openid-client";
import { Account, LoggerInstance, Profile } from "src";
import { OAuthConfig } from "src/providers";
/** @type {import("src/types/internals").NextAuthApiHandler<import("src/types/internals/oauth").GetProfileResult>} */
export default function oAuthCallback(req: any, res: any): Promise<GetProfileResult>;
export interface GetProfileParams {
    profile: Profile;
    tokens: TokenSet;
    provider: OAuthConfig;
    logger: LoggerInstance;
}
export interface GetProfileResult {
    profile: ReturnType<OAuthConfig["profile"]> | null;
    account: Omit<Account, "userId"> | null;
    OAuthProfile: Profile;
}
